Name:           gphpedit
Version:        0.9.80
Release:        4%{?dist}
Summary:        A PHP source editor for GNOME 2

Group:          Applications/Text
License:        GPL
URL:            http://www.gphpedit.org/
Source0:        gphpedit-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtkhtml2-devel libgnomeui-devel
BuildRequires:  desktop-file-utils

%description
gPHPEdit is a GNOME2 editor dedicated to editing PHP files and other 
supporting files such as HTML/CSS.

%prep
%setup -q

# This path is hardcoded and doesn't inherit from the configure
# (see upstream bug #155 )
sed -i s_/usr/local/share/pixmaps_%{_datadir}/pixmaps_ src/main.h

# The .desktop file included isn't Free Desktop compliant
# (Fixed upstream in CVS)
%{__cat} <<EOF >gphpedit.desktop
[Desktop Entry]
Encoding=UTF-8
Name=gPHPEdit
GenericName=PHP/HTML/CSS editor
Comment=Edit PHP source files
Exec=gphpedit
Icon=gphpedit.png
Terminal=false
Type=Application
Categories=Application;Development;IDE;GNOME;
Version=0.9.4
EOF

%build
# Remove precompiled binaries and rebuild bundled gtkscintilla2
# (bundling is intentional and with good cause)
pushd src/gtkscintilla2
make clean
make %{?_smp_mflags}
popd

# Configure and make main binary
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Remove the desktop file installed by the package itself
rm %{buildroot}%{_datadir}/applications/gphpedit.desktop

# Install our own desktop file
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        gphpedit.desktop


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%dir %{_datadir}/gphpedit
%{_bindir}/gphpedit
%{_datadir}/pixmaps/gphpedit.png
%{_datadir}/applications/fedora-gphpedit.desktop
%{_datadir}/gphpedit/php-gphpedit.api

%changelog
* Mon Apr 17 2006 Tim Jackson <rpm@timj.co.uk> 0.9.80-4
- Ensure bundled gtkscintilla2 is rebuilt instead of using precompiled
  binaries

* Sat Apr 15 2006 Tim Jackson <rpm@timj.co.uk> 0.9.80-3
- Remove gtk2-devel (gtkhtml2-devel and libgnomeui-devel will pull it in)
- Remove empty NEWS file
- Remove generic INSTALL file

* Thu Apr 13 2006 Tim Jackson <rpm@timj.co.uk> 0.9.80-2
- Own datadir/gphpedit
- Macroize replacement pixmap path in main.h
- Add "GNOME" and "Application" to desktop file

* Sat Apr 08 2006 Tim Jackson <rpm@timj.co.uk> 0.9.80-1
- Initial RPM build for FE
